using System;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;
using AjaxControlToolkit;

[assembly: System.Web.UI.WebResource("Wpfe.WpfeBehavior.js", "text/javascript")]
[assembly: System.Web.UI.WebResource("Wpfe.aghost.js", "text/javascript")]

namespace Wpfe
{
    [Designer(typeof(WpfeDesigner))]
    [ClientScriptResource("Wpfe.WpfeBehavior", "Wpfe.WpfeBehavior.js")]
    [TargetControlType(typeof(Panel))]
    public class WpfeExtender : ExtenderControlBase
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            ScriptManager.RegisterClientScriptResource(this, this.GetType(), "Wpfe.aghost.js");
            if (!string.IsNullOrEmpty(SourceScript))
            {
                string clientUrl = ResolveClientUrl(SourceScript);
                ScriptManager.RegisterClientScriptInclude(this, this.GetType(), clientUrl, clientUrl);
            }
        }
        [ExtenderControlProperty]
        [RequiredProperty]
        [UrlProperty]
        [DefaultValue("")]
        public string SourceXaml
        {
            get
            {
                return GetPropertyValue("SourceXaml", "");
            }
            set
            {
                SetPropertyValue("SourceXaml", value);
            }
        }
        [DefaultValue("")]
        public string SourceScript
        {
            get
            {
                return GetPropertyValue("SourceScript", "");
            }
            set
            {
                SetPropertyValue("SourceScript", value);
            }
        }
        [ExtenderControlProperty]
        [DefaultValue("")]
        public string ControlId
        {
            get
            {
                return GetPropertyValue("ControlId", "");
            }
            set
            {
                SetPropertyValue("ControlId", value);
            }
        }
        [ExtenderControlProperty]
        [DefaultValue(100)]
        public int Width
        {
            get
            {
                return GetPropertyValue("Width", 100);
            }
            set
            {
                SetPropertyValue("Width", value);
            }
        }
        [ExtenderControlProperty]
        [DefaultValue(100)]
        public int Height
        {
            get
            {
                return GetPropertyValue("Height", 100);
            }
            set
            {
                SetPropertyValue("Height", value);
            }
        }
    }
}
